> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a campaign step



## OpenAPI

````yaml /openapi.json get /campaign_steps/{id}
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /campaign_steps/{id}:
    get:
      tags:
        - Campaign steps
      summary: Retrieve a campaign step
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the campaign step
          required: true
      responses:
        '200':
          description: >-
            The campaign step — the same shape as the entries in a campaign's
            `steps` array
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - email
                        description: The step type. Always "email" for this step
                      custom_step_id:
                        type: string
                        description: >-
                          Optional. The ID of the custom step to use in this
                          step. The type of the custom step must be "email" as
                          well
                      email_template_id:
                        type: string
                        description: The ID of the email template to use in this step
                    required:
                      - type
                      - email_template_id
                  - type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - email
                        description: The step type. Always "email" for this step
                      custom_step_id:
                        type: string
                        description: >-
                          Optional. The ID of the custom step to use in this
                          step. The type of the custom step must be "email" as
                          well
                      subject:
                        type: string
                        description: The subject of the email template to use at this step
                      body:
                        type: string
                        description: The body of the email template to use at this step
                    required:
                      - type
                      - subject
                      - body
                  - type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - sms
                        description: The step type. Always "sms" for this step
                      custom_step_id:
                        type: string
                        description: >-
                          Optional. The ID of the custom step to use in this
                          step. The type of the custom step must be "sms" as
                          well
                      sms_template_id:
                        type: string
                        description: The ID of the SMS template to use in this step
                    required:
                      - type
                      - sms_template_id
                  - type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - sms
                        description: The step type. Always "sms" for this step
                      custom_step_id:
                        type: string
                        description: >-
                          Optional. The ID of the custom step to use in this
                          step. The type of the custom step must be "sms" as
                          well
                      message:
                        type: string
                        description: The message to send in this step
                    required:
                      - type
                      - message
                  - type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - wait
                        description: The step type. Always "wait" for this step
                      duration:
                        type: integer
                        description: The number of seconds to wait
                    required:
                      - type
                      - duration
                  - type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - if
                        description: The step type. Always "if" for this step
                      filter:
                        type: string
                        description: The filter to use in this step
                    required:
                      - type
                      - filter
components:
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````